# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "nvme" "xhci_pci" "ahci" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "/dev/mapper/luks-a656cbb9-03cc-4c26-96c0-35df28f30e75";
      fsType = "btrfs";
      options = [ "subvol=@" ];
    };

  boot.initrd.luks.devices."luks-a656cbb9-03cc-4c26-96c0-35df28f30e75".device = "/dev/disk/by-uuid/a656cbb9-03cc-4c26-96c0-35df28f30e75";

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/6948-9FE2";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  fileSystems."/home" =
    { device = "/dev/mapper/luks-a7cfbbf7-5d22-46e4-85c4-e64666db4ab6";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-a7cfbbf7-5d22-46e4-85c4-e64666db4ab6".device = "/dev/disk/by-uuid/a7cfbbf7-5d22-46e4-85c4-e64666db4ab6";

  fileSystems."/mnt/fileStorage" =
    { device = "/dev/mapper/luks-a476201c-0098-41aa-b1d8-c68af6b23e5f";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."luks-a476201c-0098-41aa-b1d8-c68af6b23e5f".device = "/dev/disk/by-uuid/a476201c-0098-41aa-b1d8-c68af6b23e5f";

  swapDevices =
    [ { device = "/dev/disk/by-uuid/b287a61e-b01f-48d6-9e59-cd35892e3f88"; }
    ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
